/* var wpbfp = '${settings.wp_protect}' == 'true' ? "THROTTLE" : "OFF";

var resp = {
  result: 0,
  ssl: !!jelastic.billing.account.GetQuotas('environment.jelasticssl.enabled').array[0].value,
  nodes: []
}

resp.nodes.push({
    nodeType: "llsmp",
    engine: "${settings.php_engine:php8.3}",
    count: 1,
    cloudlets: "${settings.cloudlets:16}",
    diskLimit: "${settings.diskspace:[quota.disk.limitation]}",
    nodeGroup: "cp",
    skipNodeEmails: "true",
    displayName: "AppServer",
    env: {
    SERVER_WEBROOT: "/var/www/webroot/ROOT",
    REDIS_ENABLED: "true",
    WAF: "${settings.waf}",
    WP_PROTECT: wpbfp,
    WP_PROTECT_LIMIT: 100
    }
  })

return resp; */

var wpbfp = '${settings.wp_protect}' == 'true' ? "THROTTLE" : "OFF";

var resp = {
  result: 0,
  ssl: !!jelastic.billing.account.GetQuotas('environment.jelasticssl.enabled').array[0].value,
  nodes: []
}

// Existing Application Server Node
resp.nodes.push({
  nodeType: "llsmp",
  engine: "${settings.php_engine:php8.3}",
  count: 1,
  cloudlets: "${settings.cloudlets:16}",
  diskLimit: "${settings.diskspace:[quota.disk.limitation]}",
  nodeGroup: "cp",
  skipNodeEmails: "true",
  displayName: "AppServer",
  env: {
    SERVER_WEBROOT: "/var/www/webroot/ROOT",
    REDIS_ENABLED: "true",
    WAF: "${settings.waf}",
    WP_PROTECT: wpbfp,
    WP_PROTECT_LIMIT: 100
  }
})

// Adding the Storage Node
resp.nodes.push({
  nodeType: "storage", // Valid nodeType as per your environment
  count: 1,
  cloudlets: "${settings.storage_cloudlets:6}", // Default to 6 cloudlets if not specified
  diskLimit: "${settings.storage_diskspace:30000}", // Default to 30000 MB if not specified
  nodeGroup: "storage",
  skipNodeEmails: "true",
  displayName: "Shared Storage",
  env: {
    // Include necessary environment variables
    STACK_VERSION: "2.0-9.6",
    STACK_USER: "root",
    // Add other variables if needed
  },
  customitem: {
    dockerName: "jelastic/storage",
    dockerTag: "2.0-9.6",
    dockerVolumes: [
      "/data"
    ]
  }
})

return resp;
